myScenari sur Linux Mint


#1

Bonjour,

J’explore la possibilité de passer à Linux Mint. Je n’ai pas trouvé comment installer myScenari, j’ai exécuté l’instruction proposée (sh …) sans résultat.

En passant, myScenari avec l’abonnement au cloud est vraiment formidable, je l’utilise en direct pour donner mon cours. La publication est facile et très efficace. J’ose aussi demander si on bénéficiera bientôt de la dernière mise à jour d’Opale, le petit bug corrigé sur le grain de contenu référencé me serait utile.

Vous remerciant à l’avance pour votre attention et félicitation pour cet excellent logiciel.

Michel


#2

Bonjour,

Comment lancez-vous le script d’installation ? Avez-vous un retour d’erreur dans la console ?

Pour votre autre question, oui, une mise à jour de maintenance, avec la dernière version du cœur Scenari et des modèles documentaires est prévue au cours du mois de mars.

Thibaut


#3

Bonjour,
J’ai tapé : sh /home/michel/Téléchargements/myScenari4.2.121_fr-FR_2017073115_Linux_x86_64.bin
dans le terminal. J’ai obtenu le “prompt” pour obtenir une autre commande immédiatement. À ma connaissance il ne s’est rien passé.

Michel


#4

Bonjour,

Il faut les droits superutilisateur pour exécuter le script, non ? Avec
Ubuntu un sudo devant la commande est nécessaire.

Sous cela doit être la même chose.

Bonne journée,

C. Bellessort


#5

Bonjour,
Merci pour la réponse mais cela ne marche pas.
J’ai fais: sudo sh /home/michel/Téléchargements/myScenari4.2.121_fr-FR_2017073115_Linux_x86_64.bin
Dans un premier temps sudo ma demandé mon mot de passe. J’ai relancé la commande ensuite mais toujours sans effet.

Michel


#6

Votre script est-il bien exécutable ?

Que vous retourne la commande
ls -l | grep myScenari

lorsqu’elle est lancée depuis le même dossier que votre installeur ?


#7

Surtout pas en sudo ! Si vous faites ça, plus de mise à jour automatique !


#8

Tetez ceci :
chmod +x /home/michel/Téléchargements/myScenari4.2.121_fr-FR_2017073115_Linux_x86_64.bin

puis lancez directement
/home/michel/Téléchargements/myScenari4.2.121_fr-FR_2017073115_Linux_x86_64.bin


#9

Votre fichier /home/michel/Téléchargements/myScenari4.2.121_fr-FR_2017073115_Linux_x86_64.bin
Et peut-être corrompu ? il fait quelle taille ? avez-vous essayé de le re-télécharger ?


#10

Bonjour,
Bonne remarque Sam, le fichier n’était pas bon.

Voici une copie du terminal avec un bon fichier et la commande que j’ai lancé:

michel@michel-Studio-XPS-435T-9000 ~/Téléchargements $ sh /home/michel/Téléchargements/myScenari4.2.121_fr-FR_2017073115_Linux_x86_64.bin


Bienvenue dans l’installateur myScenari 4.2

Vous n’avez pas accès root.
myScenari 4.2 sera installé par défaut dans votre répertoire personnel.


Veuillez lire et accepter la licence utilisateur final suivante avant
Installer myScenari 4.2.
Appuyez sur Entrée pour continuer

Je n’ai pas encore appuyé sur Entrée pour le moment. Je comprends qu’idéalement, je dois l’installer sous root. Comment me donner ces droits?

Merci,

Michel


#11

Pour la suite, suivez simplement les instructions sans installer en mode root (donc, sans taper le sudo avant de lancer le fichier).


#12

Bonjour,

Merci à tous, ça fonctionne maintenant et j’ai accès à toute mon information dans l’entrepôt.

Cordialement,

Michel


#13

Ah… j’ai fait l’install en sudo… c’est vrai que pour les mises à
jour je suis obligé de relancer MyScenari en sudo pour qu’elle se mette
à jour.


#14

C’est fait. MyScenari a été mis à jour avec la dernière version d’Opale.


#15

Merci, c’est gentil de m’aviser.


#16

Problème suivant …
Lorsque je veux éditer une équation, il me donne l’erreur:
https://MichelSabourin.scenari-community.org/~~chain42/api/u/wspDav/001yQGysRJtglXaUwPt2KR/Cours11/Équations/Cisaillement.odf/Cisaillement.odf n’existe pas.
Par contre, si j’enregistre le fichier dans mon répertoire je peux l’éditer.
J’observe que dans l’erreur, le nom du fichier est répété 2 fois.


#17

Que le nom soit “dupliqué” dans l’url est normal. Visiblement c’est plus LibreOffice qui a du mal avec les accents dans les urls… on y peut pas grand chose je pense.


#18

Bonne remarque, c’est bien l’accent. Peut-être que c’est à cause de la version ancienne 6.1.6.2 qui est installée automatiquement sous Linux Mint.